joomla_16_actualizacion.png

¿Es aconsejable actualizar o crear un nuevo sitio con Joomla 1.6?

Después de 5 años de joomla 1.5, joomla 1.6 fue lanzado. Ahora hace un par de meses desde la fecha de lanzamiento, y ha habido mucho debate sobre la utilidad de la actualización 1.6 y la duración del apoyo que se proporcionará para el nuevo sistema. Entonces, ¿deberías dedicar tiempo a migrar tu sitio existente a la 1.6? y ¿deberías basar tu nueva versión en la 1.6, seguir con la 1.5 o esperar a la 1.7?

La noticia oficial del sitio web de joomla (joomla.org) es que 1.6 es una versión corta y tendrá un plazo de soporte de unos meses.

Versión 1.6.2 el 7 de abril de 2011 (versión de ciclo corto)
Versión 1.7.0 a la versión del 10 de julio de 2011 (ciclo corto)
Versión 1.8 en enero de 2012 - (que saldrá a largo plazo = 15 meses)

Ha habido algunos cambios importantes en la versión 1.6 que impiden que muchos módulos y componentes de terceros funcionen. Quizás el más importante sea el uso de mootools 1.2. Mootools 1.12 está ahora muy anticuado y limitado en comparación con otros frameworks javascript, lo que ha provocado que muchos complementos utilicen jquery en modo no-conflict en lugar de utilizar la librería mootools precargada. Aunque está claro que mootools 1.12 nunca será compatible con futuras versiones, ¿merece la pena actualizarse a un nuevo sistema en el que los complementos más utilizados no funcionarán?

Las principales ventajas anunciadas de joomla 1.6 son la nueva ACL (lista de control de acceso) y las categorías anidadas, así como la "potencia", la "velocidad", etc. Los problemas relacionados con estas cuestiones y 1.5 se han abordado muchas veces en el pasado y condujo al desarrollo de componentes tales como K2 (un kit de construcción de contenidos) que ofrece más opciones y flexibilidad con joomla 1.5 que usando sólo 1.6. Fotis de Joomlaworks.gr incluso puso a votación si K2 debería ser actualizado para trabajar con 1.6 dado el corto periodo de lanzamiento y los beneficios limitados. También sugirió la construcción de un nuevo plugin para ampliar las capacidades de ACL de joomla 1.5.

Zoo, un componente similar a K2 (y también 'warp', el marco de plantillas de yootheme) ha abandonado por completo mootools y ha optado por utilizar jquery debido a la dificultad de soportar 2 versiones diferentes (y al inminente lanzamiento de mootools 1.3). Leer la entrada del blog aquí.

La semana pasada se publicó una actualización de la versión "estable" 1.6 que ahora requiere que todos los componentes de terceros declaren la carga de mootools en el backend, algo que nunca se había requerido antes, ya que cada botón "nuevo", "aplicar" y "guardar" requiere esto para funcionar. Esto provocó que todos los sitios actualizados a la versión más reciente no pudieran utilizar la mayoría de sus componentes y obligó a deshacer la actualización 3 días después.

Hay muchos otros temas que discutir, sin olvidar el debate dentro de la propia comunidad joomla. Una de las personas más entretenidas de seguir es el creador de Akeeba backup (antes joomlapack) @nikosdion, parte del equipo de desarrollo de joomla.

No hay duda de que 1.8 tendrá más en común con 1.6 que con 1.5, pero personalmente me quedaré con joomla 1.5 hasta que las cosas empiecen a asentarse y una versión a largo plazo esté con nosotros.

Leer más artículos de este autor

pulse aquí